Package net.shibboleth.idp.ui.taglib

# Class ServiceNameTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
net.shibboleth.idp.ui.taglib.ServiceTagSupport
net.shibboleth.idp.ui.taglib.ServiceNameTag

All Implemented Interfaces:
  `BodyTag`, `IterationTag`, `JspTag`, `Tag`, `Serializable`

public class ServiceNameTag extends ServiceTagSupport
Display the serviceName. This is taken in order 1) From the mdui 2) AttributeConsumeService 3) HostName from the EntityId 4) EntityId.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`DEFAULT_VALUE`
what to emit if the jsp has nothing.
`private String`
`defaultValue`
Bean storage for default value.
`private static org.slf4j.Logger`
`log`
Class logger.
`private static final long`
`serialVersionUID`
Serial ID.

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ServiceNameTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doStartTag()`
`void`
`setDefaultValue(String value)`
Set the default value.

### Methods inherited from class net.shibboleth.idp.ui.taglib.ServiceTagSupport

`addClassAndId, buildHyperLink, getRelyingPartyUIContext, getServiceName, setCssClass, setCssId, setCssStyle, setUiContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial ID.

See Also:
  - Constant Field Values

### log

@Nonnull private static org.slf4j.Logger log
Class logger.

### DEFAULT_VALUE

@Nonnull @NotEmpty private static final String DEFAULT_VALUE
what to emit if the jsp has nothing.

See Also:
  - Constant Field Values

### defaultValue

@Nullable private String defaultValue
Bean storage for default value.

## Constructor Details

### ServiceNameTag

public ServiceNameTag()

## Method Details

### setDefaultValue

public void setDefaultValue(@Nullable String value)
Set the default value.

Parameters:
  `value` - what to set

### doStartTag

public int doStartTag() throws JspException

Specified by:
  `doStartTag` in interface `Tag`
Overrides:
  `doStartTag` in class `BodyTagSupport`
Throws:
  `JspException`